Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Interface MutableIocContainer

All Superinterfaces:
  IocContainer, ResourceTable

All Known Implementing Classes:
  IocContainerImpl

    public interface MutableIocContainer

extends IocContainer

Method Summary
`void` | `loadResources(org.w3c.dom.Document resourcesDocument, java.lang.String systemId, Record parameters)`
`void` | `loadResources(java.net.URL resourcesUrl, Record parameters)`
`void` | `registerConfigurationComponent(java.lang.Class javaInterface, java.lang.Object value)` Registes a configuration component instance associated with the specified java interface.
`void` | `registerServiceComponent(java.lang.Class javaInterface, java.lang.String uri, java.lang.Object value)` Registers a service component instance associated with the specified java interface and name.

Methods inherited from interface com.servingxml.ioc.resources.IocContainer
`getNameTable, getQnameContext, getTransformerFactory, getUris, lookupConfigurationComponent, lookupServiceComponent, printDiagnostics, putUris`

Method Detail

### registerServiceComponent

    void registerServiceComponent(java.lang.Class javaInterface,
                                  java.lang.String uri,
                                  java.lang.Object value)

  Registers a service component instance associated with the specified java interface and name.

  Parameters:
    `javaInterface` - the java interface that the component implements.
    `uri` - the component instance uri
    `value` - a service component instance if found, null otherwise.

### registerConfigurationComponent

    void registerConfigurationComponent(java.lang.Class javaInterface,
                                        java.lang.Object value)

  Registes a configuration component instance associated with the specified java interface.

  Parameters:
    `javaInterface` - the java interface that the component implements.
    `value` - a configuration component instance.

### loadResources

    void loadResources(java.net.URL resourcesUrl,
                       Record parameters)

### loadResources

    void loadResources(org.w3c.dom.Document resourcesDocument,
                       java.lang.String systemId,
                       Record parameters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD